import React from 'react';

interface Props {
  height?: number;
  width?: number;
  className?: string;
}

function Pick({height, width, className}: Props) {
  return (
    <svg
      data-cy="icon"
      xmlns="http://www.w3.org/2000/svg"
      width={width ?? '25'}
      height={height ?? '26'}
      viewBox="0 0 25 26"
      className={className}
      fill="none"
    >
      <path
        d="M24.4196 5.99095H17.9292L18.5707 1.90466L20.7937 2.33491C21.111 2.39366 21.4146 2.19366 21.4766 1.88416C21.5384 1.57416 21.3336 1.2729 21.0183 1.21215L18.2013 0.666647C18.0458 0.636396 17.8852 0.670647 17.7552 0.760147C17.6256 0.849398 17.5387 0.9869 17.5143 1.14115L16.7531 5.99095H10.5938C10.2724 5.99095 10.0124 6.2467 10.0124 6.5632V8.90222C10.0124 9.21848 10.2724 9.47448 10.5938 9.47448H11.0928L11.2472 10.9807C10.466 10.8545 9.57466 10.7825 8.5548 10.7825C0.463739 10.7825 0.370748 15.3175 0.370748 15.5105C0.370748 15.9633 0.539962 16.3825 0.825544 16.7345C-0.103867 18.2186 -0.261902 19.4916 0.41953 20.2643C0.635749 20.5096 0.923618 20.6738 1.25925 20.7738C1.20132 21.1988 1.19523 21.6973 1.30194 22.2269C0.928191 22.4806 0.681229 22.9124 0.681229 23.4016V24.2436C0.681229 25.0224 1.30524 25.6559 2.07179 25.6559H15.0358C15.7449 25.6559 16.325 25.1134 16.4103 24.4174H21.8593C22.158 24.4174 22.4078 24.1949 22.4378 23.9026L23.9196 9.47398H24.4193C24.7407 9.47398 25.0009 9.21823 25.0009 8.90172V6.5627C25.0012 6.2467 24.741 5.99095 24.4196 5.99095ZM11.1751 7.13521H23.8383V8.33022H23.3941H11.6187H11.1753V7.13521H11.1751ZM8.5548 11.9265C15.4225 11.9265 15.5724 15.3698 15.5752 15.5103C15.5752 16.1013 14.8467 16.6008 13.9842 16.6008H3.12443C2.26184 16.6008 1.5334 16.1013 1.5334 15.5158C1.53645 15.3695 1.68635 11.9265 8.5548 11.9265ZM1.74708 17.4338C2.1536 17.6266 2.62034 17.7451 3.12443 17.7451H13.9844C14.4913 17.7451 14.9603 17.6253 15.3686 17.4311C16.0391 18.5533 16.0381 19.2488 15.8011 19.5148C15.4929 19.8601 14.5208 19.8838 13.0385 19.1546C11.7872 18.5396 10.8412 19.0296 10.0803 19.4246C9.58457 19.6818 9.11631 19.9251 8.5548 19.9251C7.99329 19.9251 7.52478 19.6818 7.02856 19.4246C6.26786 19.0301 5.32295 18.5401 4.07035 19.1546C2.59061 19.8831 1.5954 19.8523 1.29787 19.5143C1.04532 19.2278 1.10757 18.4893 1.74708 17.4338ZM2.43867 21.9888C2.35762 21.5766 2.36957 21.1843 2.42064 20.8548C3.06574 20.7871 3.79798 20.5683 4.5907 20.1783C5.27366 19.8413 5.71143 20.0346 6.48662 20.4368C7.05829 20.7336 7.70568 21.0691 8.55505 21.0691C9.40443 21.0691 10.0518 20.7333 10.6235 20.4368C11.3979 20.0358 11.8347 19.8406 12.5186 20.1783C13.3195 20.5721 14.0497 20.7933 14.6897 20.8613C14.74 21.1921 14.7515 21.5803 14.6709 21.9888H2.43867ZM15.036 24.5119H2.07179C1.94627 24.5119 1.84414 24.3919 1.84414 24.2439V23.4019C1.84414 23.2539 1.94627 23.1334 2.07179 23.1334H15.0358C15.1623 23.1334 15.265 23.2539 15.265 23.4019V23.8429C15.265 23.8439 15.2644 23.8446 15.2644 23.8456C15.2644 23.8469 15.265 23.8474 15.265 23.8486V24.2441C15.2652 24.3916 15.1626 24.5119 15.036 24.5119ZM21.3338 23.2734H16.4149C16.3758 22.8381 16.1474 22.4576 15.8066 22.2269C15.9134 21.7001 15.9078 21.2043 15.8503 20.7776C16.1776 20.6766 16.4591 20.5121 16.6761 20.2686C17.3601 19.4988 17.2091 18.2211 16.2884 16.727C16.5704 16.3763 16.7381 15.9595 16.7381 15.5103C16.7381 15.355 16.6741 12.393 12.4432 11.2387L12.262 9.47448H22.7511L21.3338 23.2734Z"
        fill="currentColor"
      />
    </svg>
  );
}

const defaultProps = {
  height: '26',
  width: '25',
  className: '',
};

Pick.defaultProps = defaultProps;

export default Pick;
